MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026421Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-13 12:142016-04-20 15:48
Reporterdbp 
Assigned Toski 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026421: Visualization - Incorrect text rendering in raytracing mode
DescriptionAfter redesigning of ray-tracing core, text rendering has become incorrect (see sample images: text1.png - incorrect, text2.png - correct).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon text1.png (2,717 bytes) 2015-07-13 12:15
png file icon text2.png (3,322 bytes) 2015-07-13 12:15

- Relationships
related to 0026404closedbugmaster Visualization, Ray Tracing - use solid background color when gradient color is disabled 

-  Notes
(0042950)
git (administrator)
2015-07-13 12:17

Branch CR26421 has been created by dbp.

SHA-1: ef95bcf552945d6e0c45363956b62ebfb5fd563e


Detailed log of new commits:

Author: dbp
Date: Mon Jul 13 12:17:08 2015 +0300

    0026421: Visualization - Incorrect text rendering in raytracing mode
(0042951)
dbp (developer)
2015-07-13 12:17

Dear kgv,

please review the patch in branch CR26421.
(0042956)
kgv (developer)
2015-07-13 13:05

Please test the patch.
(0043036)
apv (tester)
2015-07-15 10:42

Dear BugMaster,

Branch CR26421 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: ef95bcf552945d6e0c45363956b62ebfb5fd563e

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26421-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26421-master-occt-64/Windows-64-VC10/summary.html [^]
bugs vis bug26404

Testing cases:
Not needed

Problematic CPU cases:
v3d raytrace bug24819: 1.1544074 / 0.4524029 [+155.17%]
v3d raytrace bug26070: 1.404009 / 0.5148033 [+172.73%]

Testing on Linux:
Total MEMORY difference: 96928249 / 96670078 [+0.27%]
Total CPU difference: 17715.40999999991 / 17437.119999999784 [+1.60%]

Testing on Windows:
Total MEMORY difference: 57189973 / 56519939 [+1.19%]
Total CPU difference: 16356.080845998882 / 15980.14963619893 [+2.35%]
(0044081)
git (administrator)
2015-08-13 14:30

Branch CR26421 has been updated by kgv.

SHA-1: f4a3bdbbf812e56e9f1a11ff8669622885ceaa43


Detailed log of new commits:

Author: kgv
Date: Thu Aug 13 11:30:18 2015 +0300

    update test case bugs/vis/bug26404

(0044082)
git (administrator)
2015-08-13 14:33

Branch CR26421_1 has been created by kgv.

SHA-1: 0a6098b2750a830f8564ce7de8b2acbed42c9bdb


Detailed log of new commits:

Author: dbp
Date: Thu Aug 13 11:31:31 2015 +0300

    0026421: Visualization - Incorrect text rendering in raytracing mode
(0044083)
kgv (developer)
2015-08-13 14:34

> Regressions/Differences:
> bugs vis bug26404
The changes in bug26404 are correct - test case has been updated in branch CR26421_1.
Please switch to tested.
(0046925)
git (administrator)
2015-10-16 16:23

Branch CR26421 has been deleted by kgv.

SHA-1: f4a3bdbbf812e56e9f1a11ff8669622885ceaa43
(0046926)
git (administrator)
2015-10-16 16:23

Branch CR26421_1 has been deleted by kgv.

SHA-1: 0a6098b2750a830f8564ce7de8b2acbed42c9bdb

- Related Changesets
occt: master e99a2eef
Timestamp: 2015-08-13 08:31:31
Author: dbp
Committer: ski
Details ] Diff ]
0026421: Visualization - Incorrect text rendering in raytracing mode
mod - src/Shaders/RaytraceBase.fs Diff ] File ]
mod - tests/bugs/vis/bug26404 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-13 12:14 dbp New Issue
2015-07-13 12:14 dbp Assigned To => dbp
2015-07-13 12:15 dbp File Added: text1.png
2015-07-13 12:15 dbp File Added: text2.png
2015-07-13 12:15 dbp Description Updated View Revisions
2015-07-13 12:17 git Note Added: 0042950
2015-07-13 12:17 dbp Note Added: 0042951
2015-07-13 12:17 dbp Assigned To dbp => kgv
2015-07-13 12:17 dbp Status new => resolved
2015-07-13 12:17 dbp Steps to Reproduce Updated View Revisions
2015-07-13 13:05 kgv Note Added: 0042956
2015-07-13 13:05 kgv Assigned To kgv => bugmaster
2015-07-13 13:05 kgv Severity minor => trivial
2015-07-13 13:05 kgv Status resolved => reviewed
2015-07-13 17:03 apv Test case number => Not needed
2015-07-13 17:04 apv Assigned To bugmaster => apv
2015-07-15 10:42 apv Note Added: 0043036
2015-07-15 10:42 apv Assigned To apv => dbp
2015-07-15 10:42 apv Status reviewed => assigned
2015-08-13 14:30 git Note Added: 0044081
2015-08-13 14:33 git Note Added: 0044082
2015-08-13 14:34 kgv Note Added: 0044083
2015-08-13 14:34 kgv Assigned To dbp => bugmaster
2015-08-13 14:34 kgv Status assigned => feedback
2015-08-13 14:34 kgv Product Version 7.0.0 => 6.9.0
2015-08-13 14:35 kgv Relationship added related to 0026404
2015-08-14 12:36 bugmaster Status feedback => tested
2015-08-21 13:40 ski Changeset attached => occt master e99a2eef
2015-08-21 13:40 ski Assigned To bugmaster => ski
2015-08-21 13:40 ski Status tested => verified
2015-08-21 13:40 ski Resolution open => fixed
2015-10-16 16:23 git Note Added: 0046925
2015-10-16 16:23 git Note Added: 0046926
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker